Package it.ernytech.tdlib

## Class TdApi.GetBlockedUsers

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetBlockedUsers

Enclosing class:
  TdApi

    public static class TdApi.GetBlockedUsers
    extends TdApi.Function

Returns users that were blocked by the current user.

Returns `Users`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `limit` Maximum number of users to return; up to 100.
`int` `offset` Number of users to skip in the result; must be non-negative.

### Constructor Summary

Constructors
`GetBlockedUsers()` Default constructor.
`GetBlockedUsers​(int offset, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### offset

    public int offset

Number of users to skip in the result; must be non-negative.

#### limit

    public int limit

Maximum number of users to return; up to 100.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetBlockedUsers

    public GetBlockedUsers()

Default constructor.

#### GetBlockedUsers

    public GetBlockedUsers​(int offset,
                           int limit)

Constructor for initialization of all fields.

Parameters:
  `offset` - Number of users to skip in the result; must be non-negative.
  `limit` - Maximum number of users to return; up to 100.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR